# Requirement on SRB speed for backscattered light

These notebooks compute requirement for the speed of the future bench
SRB, in regard to backscattered light. It requires Virgo data available
locally, sensitivities goal from
[A. Rocchi](https://tds.virgo-gw.eu/?r=23932), and local python
modules.

## Getting started

> [!WARNING]
> The code environment is not replicable as is, and should be adapted
> to be useful to other. For now, it's first an archive to understand
> how I get these results, and is not intended to be used outside of my
> computer.

This project use [uv](https://docs.astral.sh/uv/) to manage dependencies, and
[mise](https://mise.jdx.dev/) to manage python version and virtual environment.

To run the program, you can use
[jupyter lab](https://jupyterlab.readthedocs.io/en/latest/) to run the
[main](main.ipynb) notebook. By running the following command:

```bash
uv sync
jupyter lab
```

> [!NOTE]
> You can still use pip to manage dependencies using [pyproject.toml](pyproject.toml)

## License

This project is licensed under the GNU GPL v3+.
See [license file](LICENSE) for more information.

## Acknowledgment

Thanks to all the people that worked on all the software and library
used in this project.
